/*
 * lilJudd
 * Copyright (C) 2024 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.lilJudd.data.api.splatoon3ink.schedules


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class RegularNode(
    @SerialName("endTime")
    val endTime: String,
    @SerialName("festMatchSettings")
    val festMatchSettings: FestMatchSettingXX?,
    @SerialName("regularMatchSetting")
    val regularMatchSetting: RegularMatchSetting,
    @SerialName("startTime")
    val startTime: String
)
