/*
 * lilJudd
 * Copyright (C) 2023 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.lilJudd.data.database.tables

import org.jetbrains.exposed.sql.Table

object PlanningNotifierRoles : Table(name = "new_planningnotifier_roles") {
    var id = integer("id").autoIncrement()
    var serverid = long("serverid")
    var channelid = long("channelid")
    var hastimeroleid = long("hastimeroleid")
    var wantstobenotifiedid = long("wantstobenotifiedid")
}
