/*
 * lilJudd
 * Copyright (C) 2024 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.lilJudd.extensions.component

import com.kotlindiscord.kord.extensions.commands.application.slash.converters.ChoiceEnum

enum class SplatoonOnlineMode(override val readableName: String) : ChoiceEnum {
    ALL("All Modes"),
    REGULAR("Regular Battle"),
    SERIES("Ranked Battle (Series)"),
    OPEN("Ranked Battle (Open)"),
    X("X Battle"),
    SALMON_RUN("Salmon Run"),
}
